
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Implementação #2288

BD call summary

10/27/2016 02:42 AM - Oleksii Kurasov

Status: Closed Start date: 10/27/2016

Priority: Immediate Due date: 10/31/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GAP analyses. Approved list of improvements

History

#1 - 10/31/2016 10:24 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 11/01/2016 05:18 AM - Oleksii Kurasov

- File BDCustom.docx added

- Status changed from In Progress to Closed

see Attachment

Files

BDCustom.docx 13.3 KB 11/01/2016 Oleksii Kurasov
